Class | Tk::Iwidgets::Shell
In: | tk/lib/tkextlib/iwidgets/shell.rb
Parent: | Tk::Itk::Toplevel

### Methods

activate center child_site deactivate

### Constants

TkCommandNames | = | ['::iwidgets::shell'.freeze].freeze
WidgetClassName | = | 'Shell'.freeze

### Public Instance methods

activate()

[Source]

    # File tk/lib/tkextlib/iwidgets/shell.rb, line 21
      def activate
        tk_call(@path, 'activate')  # may return val of deactibate method
      end

center(win=None)

[Source]

    # File tk/lib/tkextlib/iwidgets/shell.rb, line 25
      def center(win=None)
        tk_call(@path, 'center', win)
        self
      end

child_site()

[Source]

    # File tk/lib/tkextlib/iwidgets/shell.rb, line 30
      def child_site
        window(tk_call(@path, 'childsite'))
      end

deactivate(val=None)

[Source]

    # File tk/lib/tkextlib/iwidgets/shell.rb, line 34
      def deactivate(val=None)
        tk_call(@path, 'deactivate', val)
        self
      end

[Validate]